AWS IoT Device SDK C++ v2: Aws::Greengrass::SubscribeToIoTCoreStreamHandler Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | List of all members
Aws::Greengrass::SubscribeToIoTCoreStreamHandler Class Reference

`#include <GreengrassCoreIpcModel.h>`

Inheritance diagram for Aws::Greengrass::SubscribeToIoTCoreStreamHandler:

## Public Member Functions
virtual void | OnStreamEvent (IoTCoreMessage *response)
virtual bool | OnStreamError (RpcError rpcError)
virtual bool | OnStreamError (ServiceError *operationError)
virtual bool | OnStreamError (UnauthorizedError *operationError)
virtual bool | OnStreamError (OperationError *operationError)
Public Member Functions inherited from Aws::Eventstreamrpc::StreamResponseHandler
virtual void | OnStreamClosed ()

## Additional Inherited Members

## Member Function Documentation

## ◆ OnStreamError() [1/4]

virtual bool Aws::Greengrass::SubscribeToIoTCoreStreamHandler::OnStreamError | ( | OperationError * | operationError | ) |
| inlinevirtual

A callback that is invoked upon receiving ANY error response from the server.

Parameters

  operationError | The error message being received.

## ◆ OnStreamError() [2/4]

virtual bool Aws::Greengrass::SubscribeToIoTCoreStreamHandler::OnStreamError | ( | RpcError | rpcError | ) |
| inlinevirtual

A callback that is invoked when an error occurs while parsing a message from the stream.

Parameters

  rpcError | The RPC error containing the status and possibly a CRT error.

## ◆ OnStreamError() [3/4]

virtual bool Aws::Greengrass::SubscribeToIoTCoreStreamHandler::OnStreamError | ( | ServiceError * | operationError | ) |
| inlinevirtual

A callback that is invoked upon receiving an error of type `ServiceError`.

Parameters

  operationError | The error message being received.

## ◆ OnStreamError() [4/4]

virtual bool Aws::Greengrass::SubscribeToIoTCoreStreamHandler::OnStreamError | ( | UnauthorizedError * | operationError | ) |
| inlinevirtual

A callback that is invoked upon receiving an error of type `UnauthorizedError`.

Parameters

  operationError | The error message being received.

## ◆ OnStreamEvent()

virtual void Aws::Greengrass::SubscribeToIoTCoreStreamHandler::OnStreamEvent | ( | IoTCoreMessage * | response | ) |
| inlinevirtual

The documentation for this class was generated from the following files:

- greengrass_ipc/include/aws/greengrass/GreengrassCoreIpcModel.h
- greengrass_ipc/source/GreengrassCoreIpcModel.cpp